commit:     a87af8d202297948dc1f6a0e27abc8c33eca7363
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  6 17:55:26 2020 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Thu Feb  6 17:56:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a87af8d2

app-text/nuspell: Improve integration of tests

Upstream: https://github.com/nuspell/nuspell/issues/51#issuecomment-583019563
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-2.3.84, Repoman-2.3.20

 app-text/nuspell/nuspell-3.0.0.ebuild | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

diff --git a/app-text/nuspell/nuspell-3.0.0.ebuild 
b/app-text/nuspell/nuspell-3.0.0.ebuild
index b5874aeda40..911f390e6d2 100644
--- a/app-text/nuspell/nuspell-3.0.0.ebuild
+++ b/app-text/nuspell/nuspell-3.0.0.ebuild
@@ -9,10 +9,10 @@ DESCRIPTION="Spell checker library and CLI for complex 
natural languages"
 HOMEPAGE="https://nuspell.github.io/ https://github.com/nuspell/nuspell";
 SRC_URI="https://github.com/nuspell/nuspell/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
 
-LICENSE="|| ( MPL-1.1 GPL-2+ LGPL-2.1+ ) LGPL-3+"
+LICENSE="test? ( || ( MPL-1.1 GPL-2+ LGPL-2.1+ ) ) LGPL-3+"
 SLOT="0/3"  # due to libnuspell.so.3
 KEYWORDS="~amd64 ~x86"
-IUSE="doc"
+IUSE="doc test"
 
 RDEPEND="dev-libs/icu"
 DEPEND="${RDEPEND}
@@ -21,6 +21,16 @@ DEPEND="${RDEPEND}
 
 DOCS=( CHANGELOG.md )
 
+RESTRICT="!test? ( test )"
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_TESTING=$(usex test)
+       )
+
+       cmake_src_configure
+}
+
 pkg_postinst() {
        einfo
        einfo 'Nuspell needs language packs and/or dictionaries to be of use'

Reply via email to